export type Declaration = {
    /** path to the original file */
    sourcePath: string;
    /** the modified or not content of the file */
    content: string;
    /** replaces the coordinates with the provided text, adjusting the coords to previous changes.  */
    replacer: (start: number, end: number, text: string) => void;
    /** a list of changes made in the original file to adjust any future coordinates of texts */
    changeset: Array<{
        start: number;
        end: number;
        diff: number;
    }>;
    /** updates the original file of sourcePath with the content's contents */
    update: () => Promise<void>;
};
export declare function readPrismaDeclarations(nsName: string): Promise<Declaration>;
//# sourceMappingURL=reader.d.ts.map