"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseDmmf = void 0;
const regex_1 = require("./regex");
function parseDmmf(dmmf) {
    return (dmmf.datamodel.models
        // All models that have at least one field with typed json
        .filter((m) => m.fields.some((f) => f.documentation?.match(regex_1.JSON_REGEX)))
        .map((m) => ({
        ...m,
        // Loads all names and subnames regexes for the model
        regexps: (0, regex_1.regexForPrismaType)(m.name)
    })));
}
exports.parseDmmf = parseDmmf;
//# sourceMappingURL=dmmf.js.map