export const JSON_REGEX = /@json\("(.*?)"\)/m;

/**
 * A list of regexes to match all types and subtypes generated by prisma for a specific model
 */
export function regexForPrismaType(name: string) {
  return [
    new RegExp(`^${name}CountAggregate$`, 'm'),
    // new RegExp(`^${name}CountAggregateInputType$`, 'm'), `true` fields
    // new RegExp(`^${name}CountAggregateOutputType$`, 'm'), `number` fields
    // new RegExp(`^${name}CountOrderByAggregateInput$`, 'm'), `SortOrder` fields

    new RegExp(`^${name}Group$`, 'm'),
    new RegExp(`^${name}GroupByOutputType$`, 'm'),

    // new RegExp(`^${name}Select$`, 'm'), boolean type
    new RegExp(`^${name}WhereInput$`, 'm'),

    // new RegExp(`^${name}OrderByWithRelationInput$`, 'm'), `SortOrder` fields
    // new RegExp(`^${name}OrderByWithAggregationInput$`, 'm'), `SortOrder` fields

    new RegExp(`^${name}ScalarWhere$`, 'm'),
    new RegExp(`^${name}ScalarWhereInput$`, 'm'),
    new RegExp(`^${name}ScalarWhereWithAggregatesInput$`, 'm'),

    new RegExp(`^${name}CreateInput$`, 'm'),
    new RegExp(`^${name}CreateManyInput$`, 'm'),
    new RegExp(`^${name}CreateWithout(?:\\w+?)Input$`, 'm'),
    new RegExp(`^${name}CreateMany(?:\\w+?)Input$`, 'm'),

    new RegExp(`^${name}UncheckedCreateInput$`, 'm'),
    new RegExp(`^${name}UncheckedCreateWithout(?:\\w+?)Input$`, 'm'),
    new RegExp(`^${name}UncheckedUpdateInput$`, 'm'),
    new RegExp(`^${name}UncheckedUpdateWithout(?:\\w+?)Input$`, 'm'),
    new RegExp(`^${name}UncheckedUpdateManyInput$`, 'm'),
    new RegExp(`^${name}UncheckedUpdateManyWithout(?:\\w+?)Input$`, 'm'),

    new RegExp(`^${name}UpdateInput$`, 'm'),
    new RegExp(`^${name}UpdateManyInput$`, 'm'),
    new RegExp(`^${name}UpdateManyMutationInput$`, 'm'),
    new RegExp(`^${name}UpdateWithout(?:\\w+?)Input$`, 'm')
  ];
}
